picard.vcf.processor

## Class VariantProcessor.Builder<A extends VariantProcessor.Accumulator<R>,R>

- java.lang.Object
- - picard.vcf.processor.VariantProcessor.Builder<A,R>

- Enclosing class:
    VariantProcessor<RESULT,ACCUMULATOR extends VariantProcessor.Accumulator<RESULT>>

      public static class VariantProcessor.Builder<A extends VariantProcessor.Accumulator<R>,R>
      extends Object

  Simple builder of `VariantProcessor`s.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `VariantProcessor<R,A>` | `build()`
    `VariantProcessor.Builder<A,R>` | `combiningResultsBy(VariantProcessor.ResultMerger<R> reducer)`
    `static <A extends VariantProcessor.Accumulator<R>,R> VariantProcessor.Builder<A,R>` | `generatingAccumulatorsBy(VariantProcessor.AccumulatorGenerator<A,R> generator)`
    `VariantProcessor.Builder<A,R>` | `limitingProcessedRegionsTo(htsjdk.samtools.util.IntervalList intervals)`
    `VariantProcessor.Builder<A,R>` | `multithreadingBy(int threadCount)`
    `VariantProcessor.Builder<A,R>` | `withInput(File... vcfs)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### multithreadingBy

          public VariantProcessor.Builder<A,R> multithreadingBy(int threadCount)

    - #### withInput

          public VariantProcessor.Builder<A,R> withInput(File... vcfs)

    - #### limitingProcessedRegionsTo

          public VariantProcessor.Builder<A,R> limitingProcessedRegionsTo(htsjdk.samtools.util.IntervalList intervals)

    - #### combiningResultsBy

          public VariantProcessor.Builder<A,R> combiningResultsBy(VariantProcessor.ResultMerger<R> reducer)

    - #### generatingAccumulatorsBy

          public static <A extends VariantProcessor.Accumulator<R>,R> VariantProcessor.Builder<A,R> generatingAccumulatorsBy(VariantProcessor.AccumulatorGenerator<A,R> generator)

    - #### build

          public VariantProcessor<R,A> build()